Index: trunk/include/Pacpus/kernel/ComponentManager.h
===================================================================
--- trunk/include/Pacpus/kernel/ComponentManager.h	(revision 76)
+++ trunk/include/Pacpus/kernel/ComponentManager.h	(revision 116)
@@ -18,6 +18,7 @@
 #define DEF_PACPUS_COMPONENTMANAGER_H
 
+#include <Pacpus/kernel/ComponentFactoryBase.h>
 #include <Pacpus/kernel/pacpus.h>
-#include <Pacpus/kernel/ComponentFactoryBase.h>
+#include <Pacpus/kernel/PacpusLibConfig.h>
 #include <Pacpus/kernel/PacpusPluginInterface.h>
 #include <Pacpus/kernel/XmlConfigFile.h>
@@ -41,4 +42,8 @@
 {
     friend class ComponentBase;
+
+    // Allow 2 functions to access to private members of ComponentManager
+    friend void ComponentFactoryBase::addFactory(ComponentFactoryBase * addr, const QString & type);
+    friend void ComponentFactoryBase::addComponent(const QString & name);
 
 public:
@@ -68,47 +73,40 @@
     };
 
-    /** Load the components included in the XML config file.
-     * @param file Name of the XML file.
-     * @return Number of components loaded by the manager.
-     */
+    /// Loads the components included in the XML config file.
+    /// @param file Name of the XML file.
+    /// @returns Number of components loaded by the manager.
     PACPUSLIB_API std::size_t loadComponents(const QString& file);
 
-    /** Start all the components
-     * @return True if all the component has been started, otherwise false.
-     */
+    /// Starts all the components
+    /// @return @b true if all the component has been started, @b false otherwise.
     PACPUSLIB_API bool start();
 
-    /** Start only the component passed in parameter.
-     * @param component Component to start.
-     * @return True if the component exists and has been started, otherwise false.
-     */
+    /// Starts only the component passed in parameter.
+    /// @param component Component to start.
+    /// @returns @b true if the component exists and has been started, @b false otherwise.
     PACPUSLIB_API bool start(const QString& component);
 
-    /** Stop all the components
-     * @return True if all the component has been stopped, otherwise false.
-     */
+    /// Stops all the components
+    /// @returns @b true if all the component has been stopped, @b false otherwise.
     PACPUSLIB_API bool stop();
 
-    /** Stop only the component passed in parameter.
-     * @param component Component to stop.
-     * @return True if the component has been stopped, otherwise false.
-     */
+    /// Stops only the component passed in parameter.
+    /// @param component Component to stop.
+    /// @returns @b true if the component has been stopped, @b false otherwise.
     PACPUSLIB_API bool stop(const QString& component);
 
-    /** Get a pointer to the component referred by @em name.
-     * @param name Name of the component.
-     * @return Pointer to the component if it exists, otherwise @em NULL.
-     */
+    /// Gets a pointer to the component referred by @em name.
+    ///
+    /// @param name Name of the component.
+    /// @returns Pointer to the component if it exists, @b NULL otherwise.
     PACPUSLIB_API ComponentBase* getComponent(const QString& name);
 
-    /** Get the list of all the names of the component known by the manager.
-     * @return List of all the component's name.
-     */
+    /// Gets the list of all the names of the component known by the manager.
+    /// @returns List of all the component's name.
     PACPUSLIB_API QStringList getAllComponentsName() const;
 
-    /** Load a new plugin from the file filename (it may be a .so/.dll file)
-     * @param filename Name of the shared object or the dll.
-     * @return True if the plugin has been loaded, otherwise false.
-     */
+    /// Loads a new plugin from the file filename (it may be a .so/.dll file)
+    /// @param filename Name of the shared object or the dll.
+    /// @returns @b true if the plugin has been loaded, @b false otherwise .
     PACPUSLIB_API bool loadPlugin(const QString& filename);
 
@@ -118,12 +116,8 @@
 
     bool registerComponent(ComponentBase* addr, const QString& name);
-    bool registerComponentFactory(ComponentFactoryBase* addr, const QString& type);
+    bool registerComponentFactory(ComponentFactoryBase * addr, const QString& type);
 
     bool unRegisterComponent(const QString& name);
     bool unRegisterComponentFactory(const QString& type);
-
-    // Allow 2 functions to access to private members of ComponentManager
-    friend void ComponentFactoryBase::addFactory(ComponentFactoryBase* addr, const QString & type);
-    friend void ComponentFactoryBase::addComponent(const QString & name);
 
     /// private constructor accessible only via static create() function
